## org.ascape.query.parser
Class QTQuotedString

    java.lang.Object
      org.ascape.query.parser.SimpleNode
          org.ascape.query.parser.QTCriteriaSubNode
              org.ascape.query.parser.QTValue
                  org.ascape.query.parser.QTQuotedString

All Implemented Interfaces:
  Node, Validated

    public class QTQuotedString

extends QTValue

Field Summary

Fields inherited from class org.ascape.query.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`QTQuotedString(BoolExprTree p, int id)`
`QTQuotedString(int id)`

Method Summary

Methods inherited from class org.ascape.query.parser.QTValue
`createComparor, getCoercedValue, getComparor, getValue, setValue, toString, validate`

Methods inherited from class org.ascape.query.parser.QTCriteriaSubNode
`getCriteria`

Methods inherited from class org.ascape.query.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTQuotedString

    public QTQuotedString(int id)

### QTQuotedString

    public QTQuotedString(BoolExprTree p,
                          int id)